#
# spec file for package seafile-client
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


# See also http://en.opensuse.org/openSUSE:Specfile_guidelines

Name:           seafile-client
Version:        6.2.11
Release:        bp150.1.2
Summary:        Cloud storage client

License:        GPL-3.0
Group:          Productivity/Networking/File-Sharing
Url:            https://github.com/haiwen/seafile-client/
Source0:        https://github.com/haiwen/%{name}/archive/v%{version}.tar.gz
Patch0:         01-fix-no-return-in-nonvoid.patch
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  cmake
BuildRequires:  doxygen
BuildRequires:  gcc-c++
BuildRequires:  libevent-devel
%if 0%{?fedora_version} || 0%{?rhel_version} || 0%{?centos_version}
BuildRequires:  jansson-devel
BuildRequires:  sqlite-devel
BuildRequires:  qt5-qtbase-devel
BuildRequires:  qt5-qtconnectivity-devel
BuildRequires:  qt5-linguist
BuildRequires:  qt5-qtwebkit
%else
BuildRequires:  libQt5Core-devel
BuildRequires:  libQt5DBus-devel
BuildRequires:  libQt5Gui-devel
BuildRequires:  libQt5Network-devel
BuildRequires:  libQt5Test-devel
BuildRequires:  libQt5WebKit5-devel
BuildRequires:  libQt5WebKitWidgets-devel
BuildRequires:  libqt5-qtbase-common-devel
BuildRequires:  libqt5-linguist-devel
BuildRequires:  libqt5-qttools-devel
BuildRequires:  libjansson-devel
BuildRequires:  sqlite3-devel
%endif
BuildRequires:  libseafile0-devel = %{version}
BuildRequires:  libsearpc1-devel
BuildRequires:  libtool
BuildRequires:  libuuid-devel
BuildRequires:  openssl-devel

BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Seafile is an open source cloud storage system with features on privacy protection and teamwork. Collections of files are
called libraries, and each library can be synced separately. A library can also be encrypted with a user chosen password.
Seafile also allows users to create groups and easily sharing files into groups.

%prep
%setup -q
%patch0 -p1

%build
cmake -DCMAKE_BUILD_TYPE=Release -DCMAKE_INSTALL_PREFIX=/usr -DBUILD_SHIBBOLETH_SUPPORT=ON .
make %{?_smp_mflags}

%install
make install DESTDIR=%{buildroot}

%files
%defattr(-,root,root,-)
%doc
%{_bindir}/seafile-applet
%{_datadir}/applications/seafile.desktop
%{_datadir}/icons/hicolor/128x128
%{_datadir}/icons/hicolor/128x128/apps
%{_datadir}/icons/hicolor/128x128/apps/seafile.png
%{_datadir}/icons/hicolor/16x16
%{_datadir}/icons/hicolor/16x16/apps
%{_datadir}/icons/hicolor/16x16/apps/seafile.png
%{_datadir}/icons/hicolor/22x22
%{_datadir}/icons/hicolor/22x22/apps
%{_datadir}/icons/hicolor/22x22/apps/seafile.png
%{_datadir}/icons/hicolor/24x24
%{_datadir}/icons/hicolor/24x24/apps
%{_datadir}/icons/hicolor/24x24/apps/seafile.png
%{_datadir}/icons/hicolor/32x32
%{_datadir}/icons/hicolor/32x32/apps
%{_datadir}/icons/hicolor/32x32/apps/seafile.png
%{_datadir}/icons/hicolor/48x48
%{_datadir}/icons/hicolor/48x48/apps
%{_datadir}/icons/hicolor/48x48/apps/seafile.png
%{_datadir}/icons/hicolor/scalable
%{_datadir}/icons/hicolor/scalable/apps
%{_datadir}/icons/hicolor/scalable/apps/seafile.svg
%{_datadir}/pixmaps/seafile.png

%changelog
* Fri Jan 18 2019 Paolo Stivanin <pstivanin@suse.com>
- Update to v6.2.11
* Thu Dec 13 2018 Paolo Stivanin <pstivanin@suse.com>
- Update to v6.2.9
* Sat Sep 15 2018 Paolo Stivanin <info@paolostivanin.com>
- Update to v6.2.5
* Sat Sep  8 2018 Paolo Stivanin <info@paolostivanin.com>
- Remove unneeded build dep
* Sat Sep  8 2018 Paolo Stivanin <info@paolostivanin.com>
- Add shibboleth support
* Thu Sep  6 2018 flyos@mailoo.org
- Rebuild in Cloud:Seafile on new bases
* Wed Aug  8 2018 info@paolostivanin.com
- removed ccnet dep (starting from v6.2.0 is no longer required)
* Sat Aug  4 2018 christoph@stop.pe
- Updated to version 6.2.4
* Tue May 22 2018 christoph@stop.pe
- Updated to version 6.1.8
* Wed Mar 28 2018 christoph@stop.pe
- Fixed build error on CentOS 7
* Sun Dec 31 2017 christoph@stop.pe
- Updated to version 6.1.4
* Fri Dec  8 2017 christoph@stop.pe
- Added patch from https://github.com/haiwen/seafile-client/pull/940/files to fix openssl 1.1 compatibility
* Thu Dec  7 2017 christoph@stop.pe
- Updated to version 6.1.3
* Mon Jul  3 2017 christoph@stop.pe
- Updated to version 6.0.7
* Sat Feb 25 2017 christoph@stop.pe
- Added missing patch file
* Sat Feb 25 2017 christoph@stop.pe
- Fixed some build errors
* Sat Feb 25 2017 christoph@stop.pe
- Updated to version 6.0.4
* Mon Sep 26 2016 christoph@stop.pe
- Initial packaging
